{
  "model": {
    "type": "minecraft:select",
    "property": "minecraft:component",
    "component": "minecraft:fireworks",
    "cases": [
      {
        "when": { "flight_duration": 1 },
        "model": { "type": "minecraft:model", "model": "minecraft:item/rocket_flight_1" }
      },
      {
        "when": { "flight_duration": 2 },
        "model": { "type": "minecraft:model", "model": "minecraft:item/rocket_flight_2" }
      },
      {
        "when": { "flight_duration": 3 },
        "model": { "type": "minecraft:model", "model": "minecraft:item/rocket_flight_3" }
      }
    ],
    "fallback": { "type": "minecraft:model", "model": "minecraft:item/firework_rocket" }
  }
}